package com.eyrolles.service;

import java.util.List;

import com.eyrolles.model.Categorie;
import com.eyrolles.model.SousCategorie;
import com.eyrolles.model.Theme;

public interface IThemeService {
	public List<Theme> all();
	public Theme add(Theme t);
	public Theme add(Theme t,Categorie c);
	public Theme details(int idTheme);
	public Categorie add(Categorie c, SousCategorie sc);
	public Categorie change(Categorie c, SousCategorie sc);
	public Categorie delete(Categorie c, SousCategorie sc);
}
